Package groovy.console.ui.text

# Class SmartDocumentFilter

java.lang.Object
javax.swing.text.DocumentFilter
groovy.console.ui.text.SmartDocumentFilter

public class SmartDocumentFilter extends DocumentFilter
The document filter based on Parrot's lexer is for highlighting the content of text editor

Since:
  3.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.text.DocumentFilter

  `DocumentFilter.FilterBypass`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final List<Integer>`
  `HIGHLIGHTED_TOKEN_TYPE_LIST`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartDocumentFilter(DefaultStyledDocument styledDocument)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<org.antlr.v4.runtime.Token>`
  `getLatestTokenList()`
  `Tuple2<Integer,Integer>`
  `getRenderRange()`
  `void`
  `insertString(DocumentFilter.FilterBypass fb, int offset, String text, AttributeSet attrs)`
  `boolean`
  `isLatest()`
  `void`
  `remove(DocumentFilter.FilterBypass fb, int offset, int length)`
  `void`
  `replace(DocumentFilter.FilterBypass fb, int offset, int length, String text, AttributeSet attrs)`
  `void`
  `setRenderRange(Tuple2<Integer,Integer> renderRange)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HIGHLIGHTED_TOKEN_TYPE_LIST

    public static final List<Integer> HIGHLIGHTED_TOKEN_TYPE_LIST

- ## Constructor Details

  - ### SmartDocumentFilter

    public SmartDocumentFilter(DefaultStyledDocument styledDocument)

- ## Method Details

  - ### insertString

    public void insertString(DocumentFilter.FilterBypass fb, int offset, String text, AttributeSet attrs) throws BadLocationException
    Overrides:
      `insertString` in class `DocumentFilter`
    Throws:
      `BadLocationException`

  - ### remove

    public void remove(DocumentFilter.FilterBypass fb, int offset, int length) throws BadLocationException
    Overrides:
      `remove` in class `DocumentFilter`
    Throws:
      `BadLocationException`

  - ### replace

    public void replace(DocumentFilter.FilterBypass fb, int offset, int length, String text, AttributeSet attrs) throws BadLocationException
    Overrides:
      `replace` in class `DocumentFilter`
    Throws:
      `BadLocationException`

  - ### isLatest

    public boolean isLatest()

  - ### getLatestTokenList

    public List<org.antlr.v4.runtime.Token> getLatestTokenList()

  - ### setRenderRange

    public void setRenderRange(Tuple2<Integer,Integer> renderRange)

  - ### getRenderRange

    public Tuple2<Integer,Integer> getRenderRange()